aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtestsuite.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/testsuite.sh b/testsuite.sh
new file mode 100755
index 0000000..ce125d2
--- /dev/null
+++ b/testsuite.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+# Copyright (C) 2010 Sebastian Pipping <sebastian@pipping.org>
+# Licensed under GPLv2
+
+ret=0
+for script in layman/tests/*.py ; do
+ echo "# PYTHONPATH=\"${PWD}\" python \"${script}\""
+ PYTHONPATH="${PWD}" python "${script}" \
+ || ret=1
+done
+
+[[ ${ret} != 0 ]] && echo '!!! FAIL'
+exit ${ret}